Bug 848274 - extra dot appears in error message when creating domain with illegal names
extra dot appears in error message when creating domain with illegal names
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 02:06 EDT by Meng Bo
Modified: 2015-05-14 22:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.97.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-08-15 02:06:23 EDT
Description of problem:
Try to create domain with illegal names, extra dot (.) appears in the error message.

Version-Release number of selected component (if applicable):
rhc-0.97.6
devenv_1990

How reproducible:
always

Steps to Reproduce:
1.Create domain with existing namespace
2.Create domain with exceed max length namespace
3.Create domain with namespace in black list
  
Actual results:
RESULT:
Namespace 'bmengdev' is already in use. Please choose another.. Use --trace to view backtrace.
RESULT:
Namespace is too long.  Maximum length is 16 characters.. Use --trace to view backtrace.
RESULT:
Namespace is not allowed.  Please choose another.. Use --trace to view backtrace.

Expected results:
Remove the extra dot in the end of the 2nd sentence.

Additional info:
Comment 1 Clayton Coleman 2012-08-16 10:52:59 EDT
Oops, exception messages can be sentences.  Some messages may not.
Comment 2 John (J5) Palmieri 2012-08-16 13:39:31 EDT
Should be fixed
Comment 3 Meng Bo 2012-08-17 05:56:55 EDT
Verified on devenv_2010 with rhc-0.97.11, the message style has been changed, and the issue gone.

=======
RESULT:
Namespace 'bmeng1dev' is already in use. Please choose another.
RESULT:
Namespace is not allowed.  Please choose another.
RESULT:
Namespace is too long.  Maximum length is 16 characters.

Note You need to log in before you can comment on or make changes to this bug.